Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleTableModelChange

All Known Implementing Classes:
  JTable.AccessibleJTable.AccessibleJTableModelChange

public interface AccessibleTableModelChange

The AccessibleTableModelChange interface describes a change to the table model. The attributes of the model change can be obtained by the following methods:

- public int getType()
- public int getFirstRow();
- public int getLastRow();
- public int getFirstColumn();
- public int getLastColumn();

The model change type returned by getType() will be one of:

- INSERT - one or more rows and/or columns have been inserted
- UPDATE - some of the table data has changed
- DELETE - one or more rows and/or columns have been deleted

The affected area of the table can be determined by the other four methods which specify ranges of rows and columns

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleTable()`

Field Summary
`static int` | `DELETE` Identifies the deletion of rows and/or columns.
`static int` | `INSERT` Identifies the insertion of new rows and/or columns.
`static int` | `UPDATE` Identifies a change to existing data.

Method Summary
`int` | `getFirstColumn()` Returns the first column that changed.
`int` | `getFirstRow()` Returns the first row that changed.
`int` | `getLastColumn()` Returns the last column that changed.
`int` | `getLastRow()` Returns the last row that changed.
`int` | `getType()` Returns the type of event

Field Detail

### INSERT

    public static final int INSERT

  Identifies the insertion of new rows and/or columns.

  See Also:
    Constant Field Values

### UPDATE

    public static final int UPDATE

  Identifies a change to existing data.

  See Also:
    Constant Field Values

### DELETE

    public static final int DELETE

  Identifies the deletion of rows and/or columns.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Returns the type of event

  See Also:
    `INSERT`, `UPDATE`, `DELETE`

### getFirstRow

    public int getFirstRow()

  Returns the first row that changed.

### getLastRow

    public int getLastRow()

  Returns the last row that changed.

### getFirstColumn

    public int getFirstColumn()

  Returns the first column that changed.

### getLastColumn

    public int getLastColumn()

  Returns the last column that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.